[package]
name = "kifu-core"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
chrono          = { version = "0.4" }
config          = { path = "../../config" }
config-derive   = { path = "../../config-derive" }
sgf             = { path = "../../sgf" }
grid            = { version = "0.9" }
serde_json      = { version = "1" }
serde           = { version = "1", features = [ "derive" ] }
thiserror       = { version = "1" }
typeshare       = { version = "1" }

[dev-dependencies]
cool_asserts    = { version = "2" }
